---
import Navbar from "@/components/navbar/Navbar.astro"
interface Props {
  title: string
}

const { title } = Astro.props
---

<!doctype html>
<html lang="es">
  <head>
    <meta charset="UTF-8" />
    <meta name="description" content="Todo app" />
    <meta name="viewport" content="width=device-width" />
    <link rel="icon" type="image/svg+xml" href="/favicon.webp" />
    <meta name="generator" content={Astro.generator} />
    <title>{title}</title>
  </head>
  <body>
    <Navbar />
    <slot />
  </body>
</html>

<style is:global>
  * {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
  }
  body {
    background: #272727;
    color: #dadada;
    max-width: 100vw;
    height: 100vh;
    min-height: 100vh;
  }
</style>
